# Struct crossbeam::sync::AtomicOption [−] [src]

    pub struct AtomicOption<T> {
        // some fields omitted
    }

## Methods

### `impl<T> AtomicOption<T>`

#### `fn new() -> AtomicOption<T>`

#### `fn swap_box(&self, t: Box<T>, order: Ordering) -> Option<Box<T>>`

#### `fn swap(&self, t: T, order: Ordering) -> Option<T>`

#### `fn take(&self, order: Ordering) -> Option<T>`

## Trait Implementations

### `impl<T: Send> Send for AtomicOption<T>`

### `impl<T: Send> Sync for AtomicOption<T>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)